Document Title: =============== Barracuda Cloud Control 7.1.1.003 - Cross Site Vulnerability Date: ===== 2018-07-17 References: =========== https://www.vulnerability-lab.com/get_content.php?id=1992 VL-ID: ===== 1992 Common Vulnerability Scoring System: ==================================== 3.3 Vulnerability Class: ==================== Cross Site Scripting - Non Persistent Introduction: ============= The Barracuda Control Center is a comprehensive cloud-based service that enables administrators to monitor and configure multiple Barracuda Networks products from a single console. With the Barracuda Control Center, you can check the health of all connected devices, run reports that are generated by gathering data from all the devices, and assign roles with varied permissions to different types of users. The powerful Web interface of the Barracuda Control Center provides for convenient configuration and management of multiple Barracuda Networks device settings, while also providing a view of each device Web interface for individual configuration or reporting. No need to install software or deploy hardware. Key statistics can be viewed by device type at a glance on the Status page of the Web interface with the ability to drill down for more detail into the individual Web interface for each connected device. (Copy of the Vendor Homepage: https://www.barracudanetworks.com/ns/downloads/Setup_Guides/Barracuda_Cloud_Control_SG_US.pdf) Abstract: ========= The vulnerability laboratory core research team discovered a cross site vulnerability in the official Barracuda Networks Cloud Control 7.1.1.003. Report-Timeline: ================ 2018-07-17: Public Disclosure (Vulnerability Laboratory) Status: ======== Published Affected Products: ================== Barracuda Networks Product: Cloud Control Center v7.1.1.003 Exploitation-Technique: ======================= Remote Severity: ========= Medium Details: ======== A client-side cross site scripting vulnerability has been discovered in the official Barracuda Networks Cloud Control v7.1.1.003 appliance web-application. The cross site vulnerability allows remote attackers to inject own malicious script codes to client-side browser to web-application requests to compromise session credentials or client-side web context. The cross site scripting web vulnerability is located in the `email` parameter of the `./new_user/success/` registration module. Remote attackers with knowledge about an exisiting email are able to attach the exisiting email with a payload to the thanks page request. Thus allows the remote attacker to trigger a client-side cross site scripting issue within the thank you page of the barracuda cloud control registration mechanism. The request method to inject is GET and the attack vector is located on the client-side of the online service web-application. The security risk of the cross site scripting web vulnerability is estimated as medium with a cvss (common vulnerability scoring system) count of 3.3. Exploitation of the client-side cross site web vulnerability requires no privileged web-application user account and low or medium user interaction. Successful exploitation of the vulnerability results in non-persistent phishing, session hijacking, non-persistent external redirect to malicious sources and client-side manipulation of affected or connected web module context. Request Method(s): [+] GET Vulnerable Module(s): [+] ./new_user/success/ Vulnerable Parameter(s): [+] email Proof of Concept: ================= The cross site scripting vulnerability can be exploited by remote attackers without privileged web-application user account and with low user interaction. For security demonstration or to reproduce the vulnerability follow the provided information and steps below to continue. Standard: URL https://cc.localhost:8000/new_user/success/?email=bkm%40evolution-sec.com%20%3E%3Ca%20%3E PoC: URL https://cc.localhost:8000/new_user/success/?email=bkm%40evolution-sec.com%20%3E%3Ca%20%3E%20>"<%20